//including libnds
#include <nds.h>

#include "BooleanArray.hpp"


namespace DSOL
{

void BooleanArray::set(const uint index, const bool value)
{
    sassert(index < length, "BooleanArray set() index out of bounds");

    if(value)
    {
        //sets the bit at index to 1
        array |= BIT(index);
    }
    else
    {
        //sets the bit at index to 0
        array &= ~BIT(index);
    }
}

}//end namespace DSOL
